org.scalatest

# TestPendingException

#### class TestPendingException extends RuntimeException

Exception thrown to indicate a test is pending.

A pending test is one that has been given a name but is not yet implemented. The purpose of pending tests is to facilitate a style of testing in which documentation of behavior is sketched out before tests are written to verify that behavior (and often, the before the behavior of the system being tested is itself implemented). Such sketches form a kind of specification of what tests and functionality to implement later.

To support this style of testing, a test can be given a name that specifies one bit of behavior required by the system being tested. The test can also include some code that sends more information about the behavior to the reporter when the tests run. At the end of the test, it can call method `pending`, which will cause it to complete abruptly with `TestPendingException`. Because tests in ScalaTest can be designated as pending with `TestPendingException`, both the test name and any information sent to the reporter when running the test can appear in the report of a test run. (In other words, the code of a pending test is executed just like any other test.) However, because the test completes abruptly with `TestPendingException`, the test will be reported as pending, to indicate the actual test, and possibly the functionality, has not yet been implemented.

Linear Supertypes
RuntimeException, Exception, Throwable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. TestPendingException
2. RuntimeException
3. Exception
4. Throwable
5. Serializable
6. AnyRef
7. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TestPendingException ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def fillInStackTrace (): Throwable

    Definition Classes
      Throwable

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getCause (): Throwable

    Definition Classes
      Throwable

13. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

14. #### def getLocalizedMessage (): String

    Definition Classes
      Throwable

15. #### def getMessage (): String

    Definition Classes
      Throwable

16. #### def getStackTrace (): Array[StackTraceElement]

    Definition Classes
      Throwable

17. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

18. #### def initCause (arg0: Throwable): Throwable

    Definition Classes
      Throwable

19. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

20. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def printStackTrace (arg0: PrintWriter): Unit

    Definition Classes
      Throwable

24. #### def printStackTrace (arg0: PrintStream): Unit

    Definition Classes
      Throwable

25. #### def printStackTrace (): Unit

    Definition Classes
      Throwable

26. #### def setStackTrace (arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

27. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

28. #### def toString (): String

    Definition Classes
      Throwable → AnyRef → Any

29. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

30. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

31. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from RuntimeException

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any